# Members

`GET /workspaces/:workspace/projects/:project_name/members`

Get all members in the project

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The human-readable ID of the project */
  project_name: string; // Example: "my-project"
}
```

## Query Parameters

```typescript
interface QueryParameters {
  /** The number of the successive pages (results are split into pages of per_page elements each). */
  page?: number; // Example: 1
  /** Specifies the number of returned elements on the page. The default value is 20. */
  per_page?: number; // Example: 20
  /** Specifies ordering for workspace members. Can be one of `id` or `name`. */
  sort_by?: string; // Example: "name"
  /** Specifies the direction of the ordering. Can be one of `ASC` or `DESC` */
  sort_direction?: string; // Example: "ASC"
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  members?: ProjectMemberView[];
}
```

## Type Definitions

```typescript
interface ProjectMemberView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the user */
  id?: number;
  /** The name of the user */
  name?: string;
  /** The avatar URL of the user */
  avatar_url?: string;
  /** The email address of the user */
  email?: string;
  /** Whether the user has admin privileges */
  admin?: boolean;
  /** Whether the user is workspace owner */
  workspace_owner?: boolean;
  /** User permission set configuration */
  permission_set?: PermissionSetView;
}

interface PermissionSetView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The name of the permission set */
  name: string;
  /** The description of the permission set */
  description?: string;
  /** The repository access level */
  repository_access_level: "DENIED" | "READ_ONLY" | "READ_WRITE" | "MANAGE";
  /** The pipeline access level */
  pipeline_access_level: "DENIED" | "READ_ONLY" | "RUN_ONLY" | "READ_WRITE";
  /** The sandbox access level */
  sandbox_access_level: "DENIED" | "READ_ONLY" | "RUN_ONLY" | "READ_WRITE";
  /** The project team access level */
  project_team_access_level: "READ_ONLY" | "MANAGE";
  /** The environment access level */
  environment_access_level: "DENIED" | "MANAGE" | "USE_ONLY";
  /** The package access level */
  package_access_level: "DENIED" | "READ_ONLY" | "READ_WRITE" | "MANAGE";
  /** The routing access level */
  routing_access_level: "DENIED" | "READ_ONLY" | "MANAGE";
  /** The target access level */
  target_access_level: "DENIED" | "READ_ONLY" | "USE_ONLY" | "MANAGE";
  /** The ID of the permission set */
  id: number;
  /** The type of the permission set */
  type?: "DEVELOPER" | "READ_ONLY" | "CUSTOM" | "PROJECT_MANAGER";
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-company/project/53/members",
  "html_url": "https://app.buddy.works/my-company/my-project/team",
  "members": [
    {
      "url": "https://api.buddy.works/workspaces/my-company/project/53/members/216",
      "html_url": "https://app.buddy.works/my-company/-/profile/216",
      "id": 216,
      "name": "Leon",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/0216e0eaead35ceec361a9eb6fc165ab/w/32/32/AVATAR.png",
      "email": "leon@example.com",
      "admin": false,
      "workspace_owner": false
    },
    {
      "url": "https://api.buddy.works/workspaces/my-company/project/53/members/215",
      "html_url": "https://app.buddy.works/my-company/-/profile/215",
      "id": 215,
      "name": "Admin",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/0/0/1/d643744fbe5ebf2906a4d075a5b97110/w/32/32/AVATAR.png?ts=1757917622833",
      "email": "admin@example.com",
      "admin": true,
      "workspace_owner": true
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/projects/list/members